Handle Provider Webhook
POST
/v1/events/webhook/{provider}
const url = 'https://example.com/v1/events/webhook/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/events/webhook/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”provider
required
Provider
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ProviderWebhookOut
object
Examplegenerated
{ "status": "example", "event": "example", "job_id": "example", "reason": "example", "provider": "example", "event_source": "example", "delivery_id": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}